View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001748aMuleMiscpublic2015-02-16 01:292015-03-17 11:43
ReporterOswald.Luc 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformIntel(R) Pentium(R) CPU B950OSUbuntu 14.04 (trusty)OS Version3.13.0-45-generi
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001748: unable to compile Ubuntu 14.04 (trusty)
DescriptionCompiling UPnPBase.cpp
UPnPBase.cpp: In static member function ‘static int CUPnPControlPoint::Callback(Upnp_EventType, void*, void*)’:
UPnPBase.cpp:1329:10: error: cannot convert ‘UpnpString* {aka s_UpnpString*}’ to ‘const char*’ for argument ‘2’ to ‘int UpnpSubscribe(UpnpClient_Handle, const char*, int*, char*)’
    newSID);
          ^
UPnPBase.cpp:1336:53: error: no matching function for call to ‘std::map<const std::basic_string<char>, CUPnPService*, std::less<const std::basic_string<char> >, std::allocator<std::pair<const std::basic_string<char>, CUPnPService*> > >::find(UpnpString*&)’
     upnpCP->m_ServiceMap.find(es_event->PublisherUrl);
                                                     ^
UPnPBase.cpp:1336:53: note: candidates are:
In file included from /usr/include/c++/4.8/map:61:0,
                 from UPnPBase.h:32,
                 from UPnPBase.cpp:34:
/usr/include/c++/4.8/bits/stl_map.h:821:7: note: std::map<_Key, _Tp, _Compare, _Alloc>::iterator std::map<_Key, _Tp, _Compare, _Alloc>::find(const key_type&) [with _Key = const std::basic_string<char>; _Tp = CUPnPService*; _Compare = std::less<const std::basic_string<char> >; _Alloc = std::allocator<std::pair<const std::basic_string<char>, CUPnPService*> >; std::map<_Key, _Tp, _Compare, _Alloc>::iterator = std::_Rb_tree_iterator<std::pair<const std::basic_string<char>, CUPnPService*> >; std::map<_Key, _Tp, _Compare, _Alloc>::key_type = const std::basic_string<char>]
       find(const key_type& __x)
       ^
/usr/include/c++/4.8/bits/stl_map.h:821:7: note: no known conversion for argument 1 from ‘UpnpString* {aka s_UpnpString*}’ to ‘std::map<const std::basic_string<char>, CUPnPService*, std::less<const std::basic_string<char> >, std::allocator<std::pair<const std::basic_string<char>, CUPnPService*> > >::key_type& {aka const std::basic_string<char>&}’
/usr/include/c++/4.8/bits/stl_map.h:836:7: note: std::map<_Key, _Tp, _Compare, _Alloc>::const_iterator std::map<_Key, _Tp, _Compare, _Alloc>::find(const key_type&) const [with _Key = const std::basic_string<char>; _Tp = CUPnPService*; _Compare = std::less<const std::basic_string<char> >; _Alloc = std::allocator<std::pair<const std::basic_string<char>, CUPnPService*> >; std::map<_Key, _Tp, _Compare, _Alloc>::const_iterator = std::_Rb_tree_const_iterator<std::pair<const std::basic_string<char>, CUPnPService*> >; std::map<_Key, _Tp, _Compare, _Alloc>::key_type = const std::basic_string<char>]
       find(const key_type& __x) const
       ^
/usr/include/c++/4.8/bits/stl_map.h:836:7: note: no known conversion for argument 1 from ‘UpnpString* {aka s_UpnpString*}’ to ‘std::map<const std::basic_string<char>, CUPnPService*, std::less<const std::basic_string<char> >, std::allocator<std::pair<const std::basic_string<char>, CUPnPService*> > >::key_type& {aka const std::basic_string<char>&}’
make[3]: *** [libmuleappcore_a-UPnPBase.o] Erreur 1
Steps To Reproduce./configure --disable-monolithic --enable-amule-daemon

gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003653)
GonoszTopi (administrator)
2015-03-10 21:50

What libupnp version do you have installed?

Please try configuring aMule with

./configure --disable-monolithic --enable-amule-daemon CPPFLAGS="-DBROKEN_DEBIAN_LIBUPNP"

and see whether it helps.
(0003655)
Oswald.Luc (reporter)
2015-03-12 01:05

I use libupnp Version: 1:1.6.17-1.2
But I tried to compile SVN tarball 10868 dated 26/01/2015
without the flag CPPFLAGS="-DBROKEN_DEBIAN_LIBUPNP"
and it worked fine !
Thanks !
I don't know how to mark it solved.
(0003656)
GonoszTopi (administrator)
2015-03-17 11:43

Good to hear that.

- Issue History
Date Modified Username Field Change
2015-02-16 01:29 Oswald.Luc New Issue
2015-03-10 21:50 GonoszTopi Note Added: 0003653
2015-03-10 21:50 GonoszTopi Status new => feedback
2015-03-12 01:05 Oswald.Luc Note Added: 0003655
2015-03-12 01:05 Oswald.Luc Status feedback => new
2015-03-17 11:43 GonoszTopi Note Added: 0003656
2015-03-17 11:43 GonoszTopi Status new => resolved
2015-03-17 11:43 GonoszTopi Resolution open => no change required
2015-03-17 11:43 GonoszTopi Fixed in Version => 2.3.2


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker